Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# PlaneNode Class Reference

A node that contains a plane. More...

Inheritance diagram for PlaneNode:

List of all members.

## Public Types
enum | ClipEffect { CEVisible = 1, CECollision = 2 }
## Public Member Functions
| PlaneNode (string name, LPlanef const plane)
| PlaneNode (string name)
int | getClipEffect ()
| Returns the clip_effect bits for this clip plane.
LPlanef const | getPlane ()
| Returns the plane represented by the PlaneNode.
int | getPriority ()
| Returns the priority associated with this clip plane.
float | getVizScale ()
| Returns the size of the visual representation of the plane that is drawn if the PlaneNode is shown.
| setClipEffect (int clip_effect)
| Specifies the sort of things this plane will actually clip (when it is used as a clip plane).
| setPlane (LPlanef const plane)
| Sets the particular plane represented by the PlaneNode.
| setPriority (int priority)
| Changes the relative importance of this PlaneNode (when it is used as a clip plane) relative to the other clip planes that are applied simultaneously.
| setVizScale (float viz_scale)
| Specifies the size of the visual representation of the plane that is drawn if the PlaneNode is shown.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A node that contains a plane.

This is most often used as a clipping plane, but it can serve other purposes as well; whenever a plane is needed to be defined in some coordinate space in the world.

## Member Enumeration Documentation

enum ClipEffect

Enumerator:

  CEVisible |
  CECollision |

## Constructor & Destructor Documentation

PlaneNode | ( | string | name,
|  | LPlanef const | plane
| ) |  |

PlaneNode | ( | string | name | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from PandaNode.

int getClipEffect | ( |  | ) |

Returns the clip_effect bits for this clip plane.

See set_clip_effect().

LPlanef const getPlane | ( |  | ) |

Returns the plane represented by the PlaneNode.

int getPriority | ( |  | ) |

Returns the priority associated with this clip plane.

See set_priority().

float getVizScale | ( |  | ) |

Returns the size of the visual representation of the plane that is drawn if the PlaneNode is shown.

setClipEffect | ( | int | clip_effect | ) |

Specifies the sort of things this plane will actually clip (when it is used as a clip plane).

This is a bitmask union of ClipEffect values. If it includes CE_visible, then it will clip visible geometry; if it includes CE_collision, then it will clip collision polygons. If it includes neither bit, it will still affect culling, but objects will either be wholly behind the clipping plane, or wholly present.

setPlane | ( | LPlanef const | plane | ) |

Sets the particular plane represented by the PlaneNode.

setPriority | ( | int | priority | ) |

Changes the relative importance of this PlaneNode (when it is used as a clip plane) relative to the other clip planes that are applied simultaneously.

The priority number is used to decide which of the requested clip planes are to be activated when more clip planes are requested than the hardware will support. The highest-priority n planes are selected for rendering.

This is similar to TextureStage.set_priority().

setVizScale | ( | float | viz_scale | ) |

Specifies the size of the visual representation of the plane that is drawn if the PlaneNode is shown.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties